# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/dma/allwinner,sun6i-a31-dma.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A31 DMA Controller Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

allOf:
  - $ref: "dma-controller.yaml#"

properties:
  "#dma-cells":
    const: 1
    description: The cell is the request line number.

  compatible:
    oneOf:
      - const: allwinner,sun6i-a31-dma
      - const: allwinner,sun8i-a23-dma
      - const: allwinner,sun8i-a83t-dma
      - const: allwinner,sun8i-h3-dma
      - const: allwinner,sun8i-v3s-dma

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

  resets:
    maxItems: 1

required:
  - "#dma-cells"
  - compatible
  - reg
  - interrupts
  - clocks
  - resets

additionalProperties: false

examples:
  - |
    dma: dma-controller@1c02000 {
        compatible = "allwinner,sun6i-a31-dma";
        reg = <0x01c02000 0x1000>;
        interrupts = <0 50 4>;
        clocks = <&ahb1_gates 6>;
        resets = <&ahb1_rst 6>;
        #dma-cells = <1>;
    };

...
